API reference
Create a file
Reserves a file and returns a link to upload it to.
POST
Reserves a file and returns a link to upload it to.
apiKeyheader
AuthorizationBearer <token>application/json- body
name*stringcontent_type*stringsize*integerSize in bytes.
The new file and its upload link.
application/json- response
id*stringname*stringcontent_type*stringsize*integerstatus*stringValue in
"pending""uploaded"upload_url*stringFormat
uricurl -X POST 'https://api.upsky.dev/v1/storage/files' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "content_type": "string", "size": 0}'Example Response
{ "id": "string", "name": "string", "content_type": "string", "size": 0, "status": "pending", "upload_url": "http://example.com"}